;=========================================================================
(defun c:war_wytyczne ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)


;=============================================================
(mh:warstwa "IS_wytyczne_od_IS_dla_Arch" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_Ele" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_Kon" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_DR" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_IS" nil)
;=============================================================

;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================
(mh:zmianawarstw
	'("IS_wytyczne_od_IS_dla_IS" "IS_wytyczne_od_IS_dla_Arch" "IS_wytyczne_od_IS_dla_Ele" "IS_wytyczne_od_IS_dla_Kon" "IS_wytyczne_od_IS_dla_DR")
)
;=============================================================

(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_wytyczne
;=========================================================================

;=========================================================================
(defun c:wytONOFF ( / % MyLayer)
(if (mh:qawa)
(progn

(mh:ustzap)
(if (mh:GetLayers "*_wytyczne_od_*") ; jeeli s warstwy
	(if	(or
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "*_wytyczne_od_*")))) :vlax-true)
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "*_wytyczne_od_*")))) -1)
		)
		(progn
			(foreach % (mh:GetLayers "*_wytyczne_od_*") ;wyaczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-false)
			)
			(princ "\n--- Wyczono warstwy wytycznych. ---")
		)
		(progn
			(foreach % (mh:GetLayers "*_wytyczne_od_*") ;waczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-true)
			)
			(princ "\n--- Wczono warstwy wytycznych. ---")
		)
	)
)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:profilekuwagi ( / NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(if	(null *DCL_jednostki_PZT*)
	(setq *DCL_jednostki_PZT* (list "PZTcm"))
)

(if (= nil (vl-position (getvar "CLAYER") (mh:GetLayers "IS_wytyczne_od_*")))
	(c:rewizjadzisiaj)
)

;=========================================================================
(if (not (tblsearch "block" "IS_MLEADER_UWAGI_01"))
	(progn
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\IS_MLEADER_UWAGI_01.dwg")))
			(if (setq PunktWstawienia (list 0 0 0))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
		
		(command "_erase" "_l" "")
	);progn
);if

;=========================================================================

(if (zerop (getvar "TILEMODE"))
	(setvar "CMLEADERSTYLE" "IS_UWAGI_9")	;papier
	(progn
		(if (= (car *DCL_jednostki_PZT*) "PZTcm")
			(setvar "CMLEADERSTYLE" "IS_UWAGI_90")
		)
		(if (= (car *DCL_jednostki_PZT*) "PZTm")
			(setvar "CMLEADERSTYLE" "IS_UWAGI_0.9")
		)
	)	;progn model
)

;=========================================================================

(command "_mleader")

;=========================================================================

(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:uwagizestaw ( / wybor )

(if (mh:qawa)
	(progn
		(mh:ustzap)
			;=========================================================================
			(setq wybor (mh:GetChoisText "\nUwagi?" '("Wczyta" "Kasowa" "Eksportowa" "Zaktualizowa" "Anuluj") "Anuluj"))
			(if (= wybor "Wczyta") (mh:uwagiwczytaj))
			(if (= wybor "Kasowa") (mh:uwagikasuj))
			(if (= wybor "Eksportowa") (mh:expuwa))
			(if (= wybor "Zaktualizowa") (progn (mh:uwagikasuj) (mh:uwagiwczytaj) ))
			(if (= wybor "Anuluj") nil)
			;=========================================================================
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun mh:uwagiwczytaj ( / Dirname plikuwag nazwauwag vlauwagi MyLayer te1 te2 te3 pkttemp kattemp jednostkimem )

(if (mh:qawa)
	(progn
		(mh:ustzap)
		;=========================================================================
		(setq jednostkimem (getvar "INSUNITS"))
		(setvar "INSUNITS" 5)
		;=========================================================================
		
		(if (or	(equal (car (mh:savename)) "" )
				(equal (car (mh:savename)) (cadr (mh:savename)) )
			)
			(princ "\nPlik prawdopodobnie nie jest zapisany!!!")
			(progn
				(setq	Dirname "uwagi")
				
				(if (findfile (strcat (getvar "DWGPREFIX") Dirname "\\uwagi_" (cadr (mh:savename))))
					(progn	
						;=========================================================================
						; odblokowac warstw aktualn jezeli jest zablokowana
						(setq MyLayer (vla-item (mh:ACX_LayersCollection) (getvar "clayer")))
						(if (= :vlax-false (vla-get-layeron MyLayer))
							(progn
								(vla-put-layeron MyLayer :vlax-true)
								(setq te1 1)
							)
						)
						(if (= :vlax-true (vla-get-lock MyLayer))
							(progn
								(vla-put-lock MyLayer :vlax-false)
								(setq te2 1)
							)
						)
						(if (= :vlax-true (vla-get-freeze MyLayer))
							(progn
								(vla-put-freeze MyLayer :vlax-false)
								(setq te3 1)
							)
						)
						;=========================================================================
						; jak jest wczytany plik z uwagami to go ustalic 
						; jak nie jest wczytany to wczytac, ustalic 
									
						(setq	plikuwag (strcat (getvar "DWGPREFIX") Dirname "\\uwagi_" (cadr (mh:savename)))
								nazwauwag (vl-string-right-trim ".dwg" (strcat "uwagi_" (cadr (mh:savename))))
						);setq
						;=========================================================================
						; WYCZYCI RYSUNEK
						;(vla-PurgeAll (mh:ACX_ActivDocument))
						(command "_-purge" "_b" "" "_n")
						;=========================================================================			
						;wczytuje plik z uwagami ale nie sprawdza czy nie jest wczytany
						;(command "_-xref" "_Attach" plikuwag "0,0,0" "_XYZ" "1" "1" "1" "0")	
						;=========================================================================	
						; USTALI JAKO INSERT
							;	(setvar "BINDTYPE" 1) ; nie dziaa ta zmienna w GSTARCAD
							;	(command "_-xref" "_bind" nazwauwag)
							;	(setvar "BINDTYPE" 0)
							
							;(setq vlauwagi (vla-item (mh:ACX_BlocksCollection) nazwauwag))
							;(if (= (vlax-get-property vlauwagi 'IsXref) :vlax-true)
							;	(progn
							;		(vlax-invoke-method vlauwagi "bind" :vlax-true)
							;		(vlax-release-object vlauwagi)
							;		(vlax-release-object (mh:ACX_BlocksCollection))
							;		(vlax-release-object (mh:ACX_ActivDocument))
							;	)
							;	(princ "\nNie udao sie ustali odnonika!")
							;) ;if
							
							
						; USTALI JAKO INSERT - lub wstawi jako insert bo nie powoduje bdw w gstarcadzie
						(setq	pkttemp (trans (list 0 0 0) 0 1)
								kattemp (mh:CON_rad2deg (angle (trans (list 0 0 0) 0 1) (trans (list 100 0 0) 0 1)) nil)
						)
						(command "_insert" plikuwag pkttemp "_XYZ" "1.0" "1.0" "1.0" kattemp)
						;=========================================================================
						; ROZBI USTALONY ODNONIK Z UWAGAMI lub wstawiony blok
						(command "_explode" "_last"); rozbic uwagi jako ostatni element
						;=========================================================================
						; WYCZYCI RYSUNEK
						;(vla-PurgeAll (mh:ACX_ActivDocument))
						(command "_-purge" "_b" "" "_n")
						;=========================================================================
						; wyczy lub zamrozi warstw aktualn (tak jak byo na pocztku)
						(if (= te1 1) (vl-catch-all-apply 'vla-put-layeron (list MyLayer :vlax-false)))
						(if (= te2 1) (vl-catch-all-apply 'vla-put-lock (list MyLayer :vlax-true)))
						(if (= te3 1) (vl-catch-all-apply 'vla-put-freeze (list MyLayer :vlax-true)))
						(setq te1 0 te2 0 te3 0)
							
					) ;progn
					(princ "\nNie znaleziono pliku z uwagami!!")
				) ;if
			);progn
			) ;if
			
			
			;=========================================================================
			(setvar "INSUNITS" jednostkimem)
			;=========================================================================
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun mh:expuwa (/ Dir Dirname ss txt0 pkttemp jednostkimem )
(if (mh:qawa)
	(progn
		(mh:ustzap)
		;=========================================================================
		(setq jednostkimem (getvar "INSUNITS"))
		(setvar "INSUNITS" 5)
		;=========================================================================
		
		
		;=========================================================================
		(setq	Dirname "uwagi"
				Dir (strcat (getvar "DWGPREFIX") Dirname "\\")
		)					;(vl-string-right-trim "\\" (getvar "DWGPREFIX"))
		
		(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
			(vl-mkdir (strcat (getvar "dwgprefix") DirName))
		);if
		
		(vl-cmdf "_undo" "be")
		(if		(AND	(vl-file-directory-p Dir)
						(setq txt0 (strcat (getvar "DWGPREFIX") Dirname "\\uwagi_" (cadr (mh:savename))))	
						(setq ss (ssget "_x" '((-4 . "<OR")
													(8 . "IS_wytyczne_od_IS_dla_Arch")
													(8 . "IS_wytyczne_od_IS_dla_DR")
													(8 . "IS_wytyczne_od_IS_dla_Ele")
													(8 . "IS_wytyczne_od_IS_dla_IS")
													(8 . "IS_wytyczne_od_IS_dla_Kon")
											(-4 . "OR>"))))		;zaznaczyc wszystko na warstwach uwag !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
						
				)
				(if (= "Tak" (mh:GetChoisText "\nCzy na pewno wyeksportowa uwagi do oddzielnego pliku i go ZASTPI ???" '("Tak" "Nie") "Nie"))
					(progn	;(vl-cmdf "_mhkolor" "Druk")
					
						;=========================================================================
						;skasowa plik jak jest taki
						(if (findfile txt0)
							(vl-file-delete txt0)
						)
						;=========================================================================
					
						(vl-cmdf "_undo" "mark")
						(vl-cmdf "_ucs" "_w")
						(vl-cmdf "_plan" "_w")
						(vl-cmdf "_zoom" "object" "p" "")
						(setq pkttemp (trans (list 0 0 0) 1 0))
						;(setq pkttemp (list 0 0 0))
						(vl-cmdf "_-wblock" txt0 "" pkttemp ss "")
						(vl-cmdf "_undo" "back")
						(if (findfile txt0)
							(princ "\nPlik z uwagami zapisany.")
						)
					)
				)
				(if (AND	(vl-file-directory-p Dir)
							(setq txt0 (strcat (getvar "DWGPREFIX") Dirname "\\uwagi_" (cadr (mh:savename))))
							(= nil (setq ss (ssget "_x" '((-4 . "<OR")
														(8 . "IS_wytyczne_od_IS_dla_Arch")
														(8 . "IS_wytyczne_od_IS_dla_DR")
														(8 . "IS_wytyczne_od_IS_dla_Ele")
														(8 . "IS_wytyczne_od_IS_dla_IS")
														(8 . "IS_wytyczne_od_IS_dla_Kon")
												(-4 . "OR>"))))
							)		;nie ma nic na warstwach uwag !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
							
					)
					(if (findfile txt0)
						(progn
							(alert "Brak uwag w pliku!")
							(if (= "Tak" (mh:GetChoisText "\nBrak uwag w pliku. Czy skasowa istniejcy plik z uwagami???" '("Tak" "Nie") "Nie"))
								(vl-file-delete txt0)
							)
						)
					)
				)
		)
		(vl-cmdf "_undo" "end")
		;=========================================================================
		
		;=========================================================================
		(setvar "INSUNITS" jednostkimem)
		;=========================================================================
		
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun mh:uwagikasuj ( / ss EElist % )

(if (mh:qawa)
	(progn
		(mh:ustzap)
			;=========================================================================
			;zaznaczyc wszystko na warstwach uwag !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
			(setq ss (ssget "_x" '((-4 . "<OR")
										(8 . "IS_wytyczne_od_IS_dla_Arch")
										(8 . "IS_wytyczne_od_IS_dla_DR")
										(8 . "IS_wytyczne_od_IS_dla_Ele")
										(8 . "IS_wytyczne_od_IS_dla_IS")
										(8 . "IS_wytyczne_od_IS_dla_Kon")
								(-4 . "OR>"))))
			;=========================================================================
			; skasowa zaznaczone uwagi
			(if ss
				(progn
					(setq EElist (mh:CON_ss2vlaobject ss))
					(foreach % EElist
						(vl-catch-all-apply 'vla-delete (list %))
					)
				);progn
				(princ "\nBrak elementw do skasowania na warstwach WYTYCZNYCH.")
			);if
			;=========================================================================
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:opisnarzutach ( / NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "IS_opisy" T)

;=========================================================================
(if (not (tblsearch "block" "IS_MLEADER_opisy_01"))
	(progn
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\IS_MLEADER_opisy_01.dwg")))
			(if (setq PunktWstawienia (list 0 0))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
		
		(command "_erase" "_l" "")
	);progn
);if


(setvar "CMLEADERSTYLE" "IS_ISOC_18")
(command "_mleader")

;=========================================================================

(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:opisnarzutach9 ( / NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "IS_opisy" T)

;=========================================================================
(if (not (tblsearch "block" "IS_MLEADER_opisy_01"))
	(progn
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\IS_MLEADER_opisy_01.dwg")))
			(if (setq PunktWstawienia (list 0 0))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
		
		(command "_erase" "_l" "")
	);progn
);if


(setvar "CMLEADERSTYLE" "IS_ISOC_9")
(command "_mleader")

;=========================================================================

(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:opisnapzt ( / NazwaBloku starawarstwa PunktWstawienia)
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			(setq starawarstwa (getvar "CLAYER"))

			(mh:warstwa "IS_PZT_opisy" T)

			;=========================================================================
			(if (not (tblsearch "block" "IS_MLEADER_opisy_01"))
				(progn
					(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\IS_MLEADER_opisy_01.dwg")))
						(if (setq PunktWstawienia (list 0 0))
								(progn
									;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
									;1
									;1
									;1
									;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
									;)
									(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
								);progn
							(princ "\nNiepoprawny punkt. ")
						);if
						(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
					);if
					
					(command "_erase" "_l" "")
				);progn
			);if

			(if (= (car *DCL_jednostki_PZT*) "PZTm")
				(setvar "CMLEADERSTYLE" "IS_ISOC_0.9")
				(setvar "CMLEADERSTYLE" "IS_ISOC_90")
			)
			(command "_mleader")

			;=========================================================================

			(setvar "CLAYER" starawarstwa)
			(mh:ustprzywr)

		);progn (mh:qawa)
		
		(alert "Wersja testowa niezarejestrowana.")

	);if
	(princ)
);defun
;=========================================================================
