;=========================================================================
(defun c:metrix_gaz ( / dcl_id nazwa widok zamkniecie NazwaBloku PunktWstawienia)
	(mh:ustzap)
	
	
;=============================================================
(mh:ENT_Make_Layer "IS_gaz_armatura" 3 "CONTINUOUS" 15 1 0 T)
;=============================================================
	

   (setq dcl_id (load_dialog "profilek-gaz.dcl"))
	   (if (not (new_dialog "metrixgaz" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-gaz.dcl")
			(exit)
			);progn
		);if
   
   
   
   ;==================przeanalizowac dokladnie
	(if (null *DCL_metrix_gaz*)
        (setq *DCL_metrix_gaz* (list "gm2" "front"))
      )
      (setq NAZWA (car *DCL_metrix_gaz*)
            WIDOK (last *DCL_metrix_gaz*)
      )
      (foreach % (list "NAZWA" "WIDOK")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
	;================koniec  analizowania


	
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
		(if (= zamkniecie 1)
			   (progn
					   (if (or (null nazwa) (null widok))
						   (progn
						   (princ "\nNie wybrano wszystkich potrzebnych opcji")
						   );progn
							   (progn
								   (if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0)"\\GAZOMIERZE\\Profilek-metrix_gazomierz_" nazwa "_" widok ".dwg")))
										(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia gazomierza: "))
												(progn
													;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
													;1
													;1
													;1
													;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
													;)
													(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
												(setq *DCL_metrix_gaz* (list NAZWA WIDOK)) 
												);progn
											(princ "\nNiepoprawny punkt. ")
										);if
										(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
									);if
							   );progn
					   );if
			   );progn
		);if
   

   (mh:ustprzywr)
);defun metrix_gaz
;=========================================================================

;=========================================================================
(defun c:mag3 ( / dcl_id nazwa widok zamkniecie NazwaBloku PunktWstawienia)
	(mh:ustzap)
	
	
;=============================================================
(mh:ENT_Make_Layer "IS_gaz_armatura" 3 "CONTINUOUS" 15 1 0 T)
;=============================================================


   (setq dcl_id (load_dialog "profilek-gaz.dcl"))
	   (if (not (new_dialog "mag3" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-gaz.dcl")
			(exit)
			);progn
		);if
   
   
   
   ;==================przeanalizowac dokladnie
	(if (null *DCL_mag3*)
        (setq *DCL_mag3* (list "50k" "gora"))
      )
      (setq NAZWA (car *DCL_mag3*)
            WIDOK (last *DCL_mag3*)
      )
      (foreach % (list "NAZWA" "WIDOK")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
	;================koniec  analizowania


	
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
		(if (= zamkniecie 1)
			   (progn
					   (if (or (null nazwa) (null widok))
						   (progn
						   (princ "\nNie wybrano wszystkich potrzebnych opcji")
						   );progn
							   (progn
								   (if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\FLAMAGAZ\\PROFILEK-MAG3-" nazwa "-" widok ".dwg")))
										(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia zaworu MAG-3: "))
												(progn
													;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
													;1
													;1
													;1
													;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
													;)
													(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
												(setq *DCL_mag3* (list NAZWA WIDOK)) 
												);progn
											(princ "\nNiepoprawny punkt. ")
										);if
										(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
									);if
							   );progn
					   );if
			   );progn
		);if
   

   (mh:ustprzywr)
);defun mag3
;=========================================================================

;=========================================================================
(defun c:ros ( / ROSDN ROSDL PUNKT1 PUNKT2 A1 A2 B1 B2 tempa1 tempa2 PUNKTZ)
(mh:ustzap)

;=============================================================
;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
(mh:warstwa "IS_ROS" T)
(mh:warstwa "IS_opisy" nil)
;=============================================================


(setq	ROSDN 10.0 ;ROSDN to srednica zewnetrzna rury osonowej - moe ustawi jako zmienn globaln??
		ROSDL 3.0 ;ROSDL to przeduenie za cian rury osonowej - moe ustawi jako zmienn globaln??
);setq

(setq	PUNKT1 (getpoint "\nKliknij pocztek rury osonowej (na cianie): ")
		PUNKT2 (getpoint PUNKT1 "Kliknij koniec rury osonowej (na cianie): ")
		A1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (+ (angle PUNKT1 PUNKT2) (/ pi 2)) (/ ROSDN 2))
		A2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (- (angle PUNKT2 PUNKT1) (/ pi 2)) (/ ROSDN 2))
		B1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (- (angle PUNKT1 PUNKT2) (/ pi 2)) (/ ROSDN 2))
		B2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (+ (angle PUNKT2 PUNKT1) (/ pi 2)) (/ ROSDN 2))
)



(command	"_line"	A1 A2 ""
			"_line"	B1 B2 ""
);command

(setvar "CLAYER" "IS_opisy")

(setq	tempa1 (polar A1 (angle A1 A2) (/ (distance A1 A2) 2))
		tempa2 (polar B1 (angle B1 B2) (/ (distance B1 B2) 2))
		PUNKTZ (getpoint tempa1 "\nWska punkt wstawienia opisu:")
);setq
(if (< (distance tempa1 PUNKTZ) (distance tempa2 PUNKTZ))
	(progn 
		(command "_line" tempa1 PUNKTZ "")
		(setq PUNKT2 tempa1)
	)
	(progn
		(command "_line" tempa2 PUNKTZ "")
		(setq PUNKT2 tempa2)
	)
);if


(if (< (car PUNKT2) (car PUNKTZ))
	(progn
		(command	"_line" PUNKTZ "@100,0" "")
		(mh:ENT_Make_Text "IS_opisy" nil "MC" nil "IS_ISOCPEUR" (strcat "ROS %%c" (mh:GetChoisText "\nrednica rury osonowej:" '("20" "25" "32" "40" "50" "65" "80" "100" "125" "150" "200") "40")) (polar (polar PUNKTZ 0 50) (/ pi 2) 12) 18 (* pi 0))
	);progn
	(progn
		(command	"_line" PUNKTZ "@-100,0" "")
		(mh:ENT_Make_Text "IS_opisy" nil "MC" nil "IS_ISOCPEUR" (strcat "ROS %%c" (mh:GetChoisText "\nrednica rury osonowej:" '("20" "25" "32" "40" "50" "65" "80" "100" "125" "150" "200") "40")) (polar (polar PUNKTZ pi 50) (/ pi 2) 12) 18 (* pi 0))
	);progn
);if


(mh:ustprzywr)
);defun ros
;=========================================================================

;=========================================================================
(defun c:akson ( / zbior ilosclinii nnn xxx opislinii temp warstwalinii kolorlinii styllinii grubosclinii AA BB AAA BBB AX AY BX BY dlugosclinii deltax AX2 AY2 AAA2 )

(mh:ustzap)

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================

(Print "Zaznacz linie do tworzenai aksonometrii:")
(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
		ilosclinii (sslength zbior)
		nnn ilosclinii
);setq


(repeat ilosclinii
(setq 	xxx (- ilosclinii nnn)
		opislinii (entget (ssname zbior xxx))) ; zmienna opislinii jest list zmiennych opisujc parametry linii

;pobra warstw i ustawi jako aktualn
(setq 	temp (assoc 8 opislinii)
		warstwalinii (cdr temp));setq
(command "_clayer" warstwalinii)

;pobra kolor i ustawic jako aktualny
(setq 	temp (assoc 62 opislinii)
		kolorlinii (cdr temp));setq
(if kolorlinii (command "_cecolor" kolorlinii) (command "_cecolor" "256"))

; pobrac styl linii i ustawic jako aktualny
(setq 	temp (assoc 6 opislinii)
		styllinii (cdr temp));setq
(if styllinii (command "_celtype" styllinii) (command "_celtype" "BYLAYER"))

; pobrac grubo i ustawi jako aktualn
(setq 	temp (assoc 370 opislinii)
		grubosclinii (cdr temp));setq
(if grubosclinii (command "_celweight" grubosclinii) (command "_celweight" (- 0 1)))

;pobra wsprzedne pocztku i koca linii,
(setq 	AA (assoc 10 opislinii); AA to symboliczne opisanie pocztku linii
		BB (assoc 11 opislinii); BB to symboliczne opisanie koca linii
		AAA (trans (cdr AA) 0 1); AAA to wsprzdne pocztku linii
		BBB (trans (cdr BB) 0 1); BBB to wsprzdne koca linii
		AX (car AAA)
		AY (car (cdr AAA))
		BX (car BBB)
		BY (car (cdr BBB))
		dlugosclinii (distance AAA BBB)
		deltax (abs (- Bx Ax))
);setq

;jeeli rnica delta X=0 to kasujemy linie i rysujemy now
(if (< deltax 0.0001)
(progn
(entdel (cdr (assoc -1 opislinii)))
(setq 	AX2 (min AX BX)
		AY2 (min AY BY)
		AAA2 (list AX2 AY2)
		)
(command "_line" AAA2 (strcat "@" (rtos (/ (* dlugosclinii 2) 3) 2 2) "<30") "")
);progn
);if

(setq nnn (1- nnn));setq
);repeat


(mh:ustprzywr)

);defun akson
;=========================================================================
